Bug 1015458 - kernel-3.10.13-101.fc18.x86_64: X no longer working on Intel video card [NEEDINFO]
kernel-3.10.13-101.fc18.x86_64: X no longer working on Intel video card
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
18
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-04 06:15 EDT by Alfredo Ferrari
Modified: 2013-11-27 11:01 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-27 11:01:37 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jforbes: needinfo? (alfredo.ferrari)


Attachments (Terms of Use)

  None (edit)
Description Alfredo Ferrari 2013-10-04 06:15:22 EDT
Description of problem:
After upgrading to kernel-3.10.13-101.fc18 on a Dell Latitude E6220 (x86_64), running f18 fully updated, the boot freezes when starting gdm (black screen). Booting from the previous kernel works with no issue

Version-Release number of selected component (if applicable):
3.10.13-101.fc18.x86_64

How reproducible:
Always

Steps to Reproduce:
1.boot from kernel-3.10.13-101.fc18.x86_64
2.the gdm login screen never comes, the screen after the graphical boot turns black and there it stays forever
3.

Actual results:

Black screen
Expected results:

Gdm login screen
Additional info:
The computer is a Dell Latitude E6220 with intel graphics. The same kernel on a Dell T7600 with an Nvidia card (and proprietary drivers) works with no issue
hence I supsect something related specifically to the intel graphics
Comment 1 Alfredo Ferrari 2013-10-06 13:09:17 EDT
I solved the problem. It has nothing to do wrt Intel or not Intel graphics. Both kernel-3.10.13-101.fc18 and kernel-3.10.14-100.fc18 (from koji) freeze when booting because they are apparently unable to mount read/write the system partition if it has the option data=writeback in fstab.

I had this option together with "discard" for the laptop where the problem occurred because it has a SSD and, right or wrong, I found these were suggested ooptions. If data=writeback is deprecated and it should be no longer be used people should be warned about rather than silently failing to boot.
Comment 2 Boleslaw Ciesielski 2013-10-12 13:32:23 EDT
data=writeback for the root filesystem has to be specified on the kernel command line in addition to /etc/fstab. Append this to the kernel command line:

    rootflags=data=writeback
Comment 3 Justin M. Forbes 2013-10-18 17:12:48 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 18 kernel bugs.

Fedora 18 has now been rebased to 3.11.4-101.fc18.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 19, and are still experiencing this issue, please change the version to Fedora 19.

If you experience different issues, please open a new bug report for those.
Comment 4 Justin M. Forbes 2013-11-27 11:01:37 EST
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  

It has been over a month since we asked you to test the 3.11 kernel updates and let us know if your issue has been resolved or is still a problem. When this happened, the bug was set to needinfo.  Because the needinfo is still set, we assume either this is no longer a problem, or you cannot provide additional information to help us resolve the issue.  As a result we are closing with insufficient data. If this is still a problem, we apologize, feel free to reopen the bug and provide more information so that we can work towards a resolution

If you experience different issues, please open a new bug report for those.

Note You need to log in before you can comment on or make changes to this bug.